Last Comment Bug 789771 - Add an OSX variable to the reftest condition sandbox to make it easier to test Mac OS X versions
: Add an OSX variable to the reftest condition sandbox to make it easier to tes...
Status: RESOLVED FIXED
[qa-]
:
Product: Testing
Classification: Components
Component: Reftest (show other bugs)
: Trunk
: x86_64 Mac OS X
: -- normal (vote)
: mozilla18
Assigned To: David Baron :dbaron: ⌚️UTC-7 (busy September 14-25)
:
Mentors:
Depends on: 1121327
Blocks: 789759 789760 789761 789762 789763
  Show dependency treegraph
 
Reported: 2012-09-08 23:39 PDT by Phil Ringnalda (:philor)
Modified: 2015-01-13 21:19 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
fix v.1 (1.42 KB, patch)
2012-09-08 23:39 PDT, Phil Ringnalda (:philor)
roc: review+
Details | Diff | Splinter Review

Description Phil Ringnalda (:philor) 2012-09-08 23:39:41 PDT
Created attachment 659551 [details] [diff] [review]
fix v.1

We've been using the pile-of-toothpicks condition "(/Mac\x20OS\x20X\x2010\.5/.test(http.oscpu))" for Mac versions in reftest conditions, but I couldn't face copy-pasting it yet again for seven more 10.8 ifs.

Inconveniently, this is dbaron's patch from https://hg.mozilla.org/users/dbaron_mozilla.com/patches/raw-file/19b83bbbcbd6/condition-sandbox-osx minus the anchor at the start of the regex (oscpu is "Intel Mac OS X 10.8" rather than "Mac OS X 10.8"), so I can't really expect him to review it.

https://tbpl.mozilla.org/?tree=Try&rev=27f3ef4ee4df&noignore=1 is it working fine (the 10.8 orange is because I've only patched the first couple of failures).
Comment 1 Phil Ringnalda (:philor) 2012-09-09 14:49:43 PDT
The variable in https://hg.mozilla.org/integration/mozilla-inbound/rev/ebff207c2574, using it for the existing conditions and dumping the unsupported 10.5 in https://hg.mozilla.org/integration/mozilla-inbound/rev/349231ac63a1
Comment 2 David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 2012-09-09 17:02:45 PDT
Thanks for fixing and landing it for me.

Note You need to log in before you can comment on or make changes to this bug.